aboutsummaryrefslogtreecommitdiff
path: root/libraries/libupnp/libupnp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libupnp/libupnp.SlackBuild')
-rw-r--r--libraries/libupnp/libupnp.SlackBuild23
1 files changed, 10 insertions, 13 deletions
diff --git a/libraries/libupnp/libupnp.SlackBuild b/libraries/libupnp/libupnp.SlackBuild
index 658afa93e3bd..5f9931c8a15f 100644
--- a/libraries/libupnp/libupnp.SlackBuild
+++ b/libraries/libupnp/libupnp.SlackBuild
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libupnp
-VERSION=${VERSION:-1.6.17}
+VERSION=${VERSION:-1.6.22}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -43,8 +43,8 @@ OUTPUT=${OUTPUT:-/tmp}
[ "${STATIC:-no}" != "no" ] && ENABLESTATIC=yes || ENABLESTATIC=no
[ "${IPV6:-no}" != "no" ] && ENABLEIPV6=yes || ENABLEIPV6=no
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -57,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -67,10 +67,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -83,7 +83,6 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-shared=yes \
--enable-static=$ENABLESTATIC \
--enable-ipv6=$ENABLEIPV6 \
- --with-documentation=/usr/doc/libupnp-$VERSION \
--build=$ARCH-slackware-linux
make
@@ -93,9 +92,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS LICENSE THANKS TODO COPYING INSTALL \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install